import UnityProject from "./unity-project";
export default class UnityModule {
    private _project;
    private _vendor;
    private _name;
    private constructor();
    static createFromPath(path: string, vendor: string, name: string): UnityModule;
    static createFromProject(unityProject: UnityProject, vendor: string, name: string): UnityModule;
    readonly project: UnityProject;
    readonly vendor: string;
    readonly name: string;
    readonly modulePath: string;
    readonly artifactsPath: string;
    getPackageFileName(): Promise<string>;
    exportPackageAsync(): Promise<void>;
    cleanArtifactsAsync(): Promise<void>;
}
