(function (factory) {
  if (typeof module === "object" && typeof module.exports === "object") {
    var v = factory(require, exports);
    if (v !== undefined) module.exports = v;
  } else if (typeof define === "function" && define.amd) {
    define(["require", "exports", "./unity-editor", "./unity-project", "./unity-module", "./unity-module-library-reference", "./unity-module-reference"], factory);
  }
})(function (require, exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var unity_editor_1 = require("./unity-editor");

  exports.UnityEditor = unity_editor_1.default;

  var unity_project_1 = require("./unity-project");

  exports.UnityProject = unity_project_1.default;

  var unity_module_1 = require("./unity-module");

  exports.UnityModule = unity_module_1.default;

  var unity_module_library_reference_1 = require("./unity-module-library-reference");

  exports.UnityModuleLibraryReference = unity_module_library_reference_1.default;

  var unity_module_reference_1 = require("./unity-module-reference");

  exports.UnityModuleReference = unity_module_reference_1.default;
});
//# sourceMappingURL=index.js.map
