import * as BuildKit from "@spicypixel/build-kit-js";
import UnityModule from "./unity-module";
export default class UnityModuleLibraryReference {
    private _module;
    private _nodeModule;
    constructor(module: UnityModule, nodeModule: BuildKit.NodeModule);
    readonly installPath: string;
    /** Update module with latest library */
    installAsync(assemblyNames: string[], editorAssemblyNames?: string[], sourceNames?: string[], editorSourceNames?: string[]): Promise<void>;
    uninstallAsync(): Promise<void>;
    private copyLibraryToAssetsAsync;
}
