import * as BuildKit from "@spicypixel/build-kit-js";
import UnityModule from "./unity-module";
export default class UnityModuleReference {
    private _module;
    private _nodeModule;
    private _nodeModuleVendor;
    private _nodeModuleName;
    private _nodeModuleProject;
    constructor(module: UnityModule, nodeModule: BuildKit.NodeModule, nodeModuleVendor: string, nodeModuleName: string);
    readonly referencePath: string;
    readonly installPath: string;
    readonly artifactsPath: string;
    installAsync(): Promise<void>;
    uninstallAsync(): Promise<void>;
    getPackageFileName(): Promise<string>;
}
