export default class UnityProject {
    private _projectPath;
    constructor(projectPath: string);
    readonly projectPath: string;
    readonly assetsPath: string;
    private readonly projectPathArgs;
    createAsync(): Promise<void>;
    exportPackageAsync(sourcePaths: string[], outputPath: string): Promise<void>;
    importPackageAsync(packagePath: string): Promise<void>;
    private verifyProjectExistsAsync;
}
